Index: trunk/src/mode_sahelien/composite_hgt500_eof234_1025_3j.m
===================================================================
--- trunk/src/mode_sahelien/composite_hgt500_eof234_1025_3j.m	(revision 15)
+++ trunk/src/mode_sahelien/composite_hgt500_eof234_1025_3j.m	(revision 16)
@@ -1,5 +1,7 @@
+%
+
 % initialisation
-clear; close all;
-
+clear;
+close all;
 
 % etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -8,5 +10,6 @@
 hgt500=zeros(122,49,144,28);
 
-siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
+siz=31+28+31+30+31+1;
+sizbis=31+28+31+30+31+30+31+31+30;
 ncload('hgt500.1979.nc'); hgt500(:,:,:,1)=hgt(siz:sizbis,1,:,:); clear hgt;
 ncload('hgt500.1980.nc'); hgt500(:,:,:,2)=hgt(siz+1:sizbis+1,1,:,:); clear hgt;
@@ -54,21 +57,25 @@
     end
 end
-                    
+
 
 hgt1=zeros(122,28,49,144);
 hgt1(:,:,:,1:72)=hgt500(:,:,:,73:144);
 hgt1(:,:,:,73:144)=hgt500(:,:,:,1:72);
-clear hgt500; hgt500=hgt1; clear hgt1;
+clear hgt500;
+hgt500=hgt1;
+clear hgt1;
 
 hgt1=permute(hgt500,[2 1 3 4]);
-hgt2(:,:,:)=nanmean(hgt1); clear hgt1;
+hgt2(:,:,:)=nanmean(hgt1);
+clear hgt1;
 hgt3=reshape(hgt500, 3416,49,144);
-hgt4(:,:)=nanmean(hgt3); clear hgt3;
+hgt4(:,:)=nanmean(hgt3);
+clear hgt3;
 
 for a=1:122;
    for b=1:28;
       for c=1:37;
-         for d=1:144; 
-             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));                
+         for d=1:144;
+             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));
          end;
       end;
@@ -84,14 +91,15 @@
 
 % on met sous la forme annee mois
-ind_olr=reshape(v,122,29); clear v; 
+ind_olr=reshape(v,122,29);
+clear v;
 
 % on selectionne les annees de 1979 a 2006
-ind_olr=ind_olr(:,1:28); 
-k=122*28; 
+ind_olr=ind_olr(:,1:28);
+k=122*28;
 
 % on centre et on reduit la serie de l OLR
 ind_olr=reshape(ind_olr, k,1);
-olr_std=std(ind_olr); 
-olr_moy=mean(ind_olr); 
+olr_std=std(ind_olr);
+olr_moy=mean(ind_olr);
 
 for a=1:3416;
@@ -100,29 +108,32 @@
 ind_olr=reshape(ind_olr,122,28);
 
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % GEOPOTENTIEL
 % intialisation des tableaux
-hgt500_filtre_compomax=NaN*ones(3,80,31,49,144); 
+hgt500_filtre_compomax=NaN*ones(3,80,31,49,144);
 hgt500_filtre_compomin=NaN*ones(3,80,31,49,144);
 tablecompteurmax=zeros(80,4);
 tablecompteurmin=zeros(80,4);
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 hgt=hgt500;
 clear hgt500
-for a=1:28; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:28;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>21 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)>0 && ind_olr(b,a)>1.50); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>21 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)>0 && ind_olr(b,a)>1.50);
 compteurmax=compteurmax+1;
- format short g; 
+ format short g;
 
 tablecompteurmax(compteurmax,:)=[compteurmax b 1978+a ind_olr(b,a)];
@@ -224,9 +235,9 @@
 
 
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)<0 && ind_olr(b,a)<-1.50);
             compteurmin=compteurmin+1;
 format short g;
-tablecompteurmin(compteurmin,:)=[compteurmin b 1978+a ind_olr(b,a)]; 
+tablecompteurmin(compteurmin,:)=[compteurmin b 1978+a ind_olr(b,a)];
 hgt500_filtre_compomin(1,compteurmin,1,:,:)=hgt(b-21,a,:,:);
 hgt500_filtre_compomin(1,compteurmin,2,:,:)=hgt(b-20,a,:,:);
@@ -326,5 +337,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 disp(['iii : compteurmin =', int2str(compteurmin)]);
@@ -337,10 +348,12 @@
 hgt500_filtre_compomin=reshape(hgt500_filtre_compomin,240,31,49,144);
 hgt500_filtre_compomax=reshape(hgt500_filtre_compomax,240,31,49,144);
-hgt500_filtre_compomin1(:,:,:)=nanmean(hgt500_filtre_compomin); clear hgt500_filtre_compomin;
-hgt500_filtre_compomax1(:,:,:)=nanmean(hgt500_filtre_compomax); clear hgt500_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); 
+hgt500_filtre_compomin1(:,:,:)=nanmean(hgt500_filtre_compomin);
+clear hgt500_filtre_compomin;
+hgt500_filtre_compomax1(:,:,:)=nanmean(hgt500_filtre_compomax);
+clear hgt500_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
 orient('landscape');
 lat=lat';
@@ -376,11 +389,12 @@
        else
          set (gca,'XTick',[-60:30:60],'XTickLabel',[' ';' ';' ';' ';' ']);
-       end;       
+       end;
        set (gca,'YTick',[20:10:70],'YTickLabel',['   ';'30N';'40N';'50N';'60N';'   '],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal;
@@ -391,10 +405,10 @@
        text(-180,50,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]); 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1]);
 end;
 
 print -depsc2 compo_hgt500_eof234_1025_pb1_seuil150.eps;
 
-figure(2); 
+figure(2);
 orient('landscape');
 
@@ -421,8 +435,8 @@
        palettejerome30;
       colormap(palette);
- 
+
        delta_hgt500_filtre_min(1,1)=-50.001;
        delta_hgt500_filtre_min(1,2)=50.001;
- 
+
        aa=contourf(lon-180,lat,delta_hgt500_filtre_min,[-50:2.5:50],'LineStyle','none');
        if e==1;
@@ -430,11 +444,12 @@
        else
          set (gca,'XTick',[-60:30:60],'XTickLabel',[' ';' ';' ';' ';' ']);
-       end;       
+       end;
        set (gca,'YTick',[20:10:70],'YTickLabel',['   ';'30N';'40N';'50N';'60N';'   '],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal;
@@ -445,7 +460,5 @@
        text(-180,50,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]); 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1]);
 end;
 print -depsc2 compo_hgt500_eof234_1025_pb2_seuil150.eps;
-
-
